%define	name	gnome-power-manager
%define version	2.16.0
%define subrel	1
%define	release	%mkrel 1

Name:		%name
Version:	%version
Release:	%release
Summary:	GNOME Power Manager
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gnome-power-manager/
Source:		%{name}-%{version}.tar.bz2
Patch0:		gpm-hal-remove_cb_on_disconnect.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	libgnomeui2-devel >= 2.10.0
BuildRequires:	libglade2.0-devel >= 2.5.0
BuildRequires:	libwnck-devel >= 2.10.0
BuildRequires:	hal-devel >= 0.5.6
BuildRequires:	dbus-devel >= 0.50
BuildRequires:	autoconf2.5
BuildRequires:	perl(XML::Parser)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libnotify-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	libxslt-proc
BuildRequires:  libtool
BuildRequires:	ImageMagick
Requires:	gnome-mime-data
Requires:	gnome-icon-theme
Requires:	hal >= 0.5.6
Requires:	notification-daemon >= 0.2.2
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(post): scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
	--enable-doxygen-docs=no \
	--with-doc-dir=%{buildroot}%{_datadir}/doc \
	--with-dbus-sys=%{buildroot}/etc/dbus-1/system.d \
	--with-dbus-services=%{buildroot}%{_datadir}/dbus-1/services \
	--disable-policykit
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall _ENABLE_SK=false

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas %name

%post
%post_install_gconf_schemas %{schemas}
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/*
%{_datadir}/gnome-power-manager
%{_datadir}/gnome/help/gnome-power-manager
%{_datadir}/gnome/autostart/gnome-power-manager.desktop
%{_datadir}/omf/gnome-power-manager
%{_datadir}/man/man1/*
%{_datadir}/icons/hicolor/*/apps/gpm-*

%config(noreplace) %{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Tue Oct 24 2006 Pascal Terjan <pterjan@mandriva.org> 2.16.0-1.1mdv2007.0
- Fix reconnection after HAL restart

* Mon Sep 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-1mdv2007.0
- Release 2.16.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92
- Remove patch0 (merged upstream)

* Sat Aug 19 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.91-3mdv2007.0
- Fix crash on unlocking screensaver (P0)

* Tue Aug 15 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.91-2mdv2007.0
- BuildRequires ImageMagick

* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Mon Jul 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-1mdv2007.0
- Release 2.15.90

* Sun Jul 16 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.4-2mdv2007.0
- Enforce disabling policykit

* Tue Jul 11 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.4-1mdv2007.0
- 2.15.4

* Thu Jun 22 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.3-4mdv2007.0
- Fix postun

* Thu Jun 22 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.3-3mdv2007.0
- Add missing buildrequires

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-2mdv2007.0
- Drop pmscripts dependencies (hal has been fixed now)
- use new macros

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-1mdv2007.0
- Release 2.15.3
- Remove killall gconfd, it is done by gconftool

* Sun Jun 04 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2
- update icon cache

* Sat May 20 2006 Pascal Terjan <pterjan@mandriva.org> 2.14.3-2mdk
- really re-enable libnotify

* Sat May 20 2006 Pascal Terjan <pterjan@mandriva.org> 2.14.3-1mdk
- New release 2.14.3
- re-enable libnotify

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-7mdk
- Fix BuildRequires

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.1-6mdk
- disable libnotify

* Tue Jan 17 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-5mdk 
- Buildrequires docbook-utils (for docbook2man)

* Sun Jan 15 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-4mdk
- BuildRequires libnotify-devel
- requies pmscripts

* Fri Jan 13 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-3mdk
- buildRequires gnome-doc-utils

* Fri Jan 13 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-2mdk
- buildRequires XML::Parser

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-1mdk
- First package, partially based on upstream RPM for Fedora
